Package org.eclipse.jgit.errors

## Class EntryExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.EntryExistsException

All Implemented Interfaces:
  `Serializable`

    public class EntryExistsException
    extends IOException

Attempt to add an entry to a tree that already exists.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`EntryExistsException​(String name)` Construct an EntryExistsException when the specified name already exists in a tree.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EntryExistsException

    public EntryExistsException​(String name)

Construct an EntryExistsException when the specified name already exists in a tree.

Parameters:
  `name` - workdir relative file name